Package org.eclipse.cdt.core.templateengine.process.processes

# Class CreateSourceFolder

java.lang.Object
org.eclipse.cdt.core.templateengine.process.ProcessRunner
org.eclipse.cdt.core.templateengine.process.processes.CreateSourceFolder

public class CreateSourceFolder extends ProcessRunner
Creates a include Folder to the project.

## Constructor Summary

Constructors
Constructor
Description
`CreateSourceFolder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createSourceFolder(String projectName, String targetPath, org.eclipse.core.runtime.IProgressMonitor monitor)`
`void`
`process(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.cdt.core.templateengine.process.ProcessRunner

`areArgumentsMatchingRequiredParameters, getArgumentsMismatchMessage, getProcessMessage, getProcessParameters, missingArgException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateSourceFolder

public CreateSourceFolder()

## Method Details

### process

public void process(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor) throws ProcessFailureException

Specified by:
  `process` in class `ProcessRunner`
Throws:
  `ProcessFailureException`

### createSourceFolder

protected void createSourceFolder(String projectName, String targetPath, org.eclipse.core.runtime.IProgressMonitor monitor) throws ProcessFailureException

Throws:
  `ProcessFailureException`